Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000915Core InformSource text and punctuationpublic2012-05-07 00:222014-05-07 07:33
Assigned Tograham 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000915: Rulebook name conflicts with property name
DescriptionRulebook names conflict with property names when sorting.
Minimal Source Text To Reproduce
There is a room.
The initiative rules are a rulebook.
A person has a number called initiative.
The participants list is a list of people that varies.
When play begins:
	now the participants list is the list of people;
	sort the participants list in initiative order.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships
child of 0000898closedgraham Umbrella issue: Inform allows duplicate names, but will only try one meaning when parsing the source text. 

-  Notes
graham (administrator)
2014-03-09 15:55

Inform now parses this as hoped.

- Issue History
Date Modified Username Field Change
2012-05-07 00:22 curiousdannii New Issue
2012-05-07 00:23 curiousdannii Relationship added child of 0000898
2012-05-08 13:49 EmacsUser Status new => confirmed
2014-03-09 15:55 graham Note Added: 0002544
2014-03-09 15:55 graham Status confirmed => resolved
2014-03-09 15:55 graham Resolution open => fixed
2014-03-09 15:55 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker